Fibre Channel (SAN)

Reply
Occasional Contributor
Posts: 14
Registered: ‎09-13-2008

48K - 12K - 3800 Switches and Firware Upgrade

We are about to upgrade the firmware of

Brocade 48K switch from version 5.1.0d -


> 5.3.1a

Connected to this, is Brocade 12K switch ver 5.0.3

and ( few 3800/3900 switches ver 3.1.1b, are connected to this 12k switch)

Vendors(HP) recommended we should upgrade the 12k ver 5.0.3 -


> 5.0.5f, but dint mention about the 3k ver 3.1.1b.

My questions are :

1. What version on 3k switch support and be compatible with the 12k ver 5.0.5f ?

2. Upgrading the 12k switch to 5.0.5f, there are few servers running in SINGLE PATH, would this be affected ?

3. What is the compatible version of 3k fabric connecting 12k ver 5.0.5f, if so let me know what it is ?

4. Where can i download these firmwares

Thanks

Vij

External Moderator
Posts: 4,973
Registered: ‎02-23-2004

Re: 48K - 12K - 3800 Switches and Firware Upgrade

You write here:

--->>> and ( few 3800/3900 switches ver 3.1.1b, are connected to this 12k switch)

--->>> ......but dint mention about the 3k ver 3.1.1b.

The 3900 dont Support FabOS 3.x, the 3900 work with FabOS Release beetwen ( in the past 4.x but dont make sense to use longer this Rel. ) 5.0.x and 5.3.1b

--->>> 1. What version on 3k switch support and be compatible with the 12k ver 5.0.5f ?

The 3800 must have FabOS 3.2.1c to operate with 5.0.5 or higher, here again see follow threads

http://community.brocade.com/home/message/5516

--->>> 2. Upgrading the 12k switch to 5.0.5f, there are few servers running in SINGLE PATH, would this be affected ?

Yes.

--->>> 4. Where can i download these firmwares

By you Vendor HP

--->>> 3. What is the compatible version of 3k fabric connecting 12k ver 5.0.5f, if so let me know what it is ?

the answer is in the question 1, a good tip see in the FabOS Release Notes.

TechHelp24

TechHelp24
Occasional Contributor
Posts: 14
Registered: ‎09-13-2008

Re: 48K - 12K - 3800 Switches and Firware Upgrade

Techhelp,

The answers were so helpful, however am still fuming with questions. My motive as of now is to avoid this upgrade happen, the major upgrade is 48K Directors to ver 5.3.1a --- this is for sure would happen and its taken care by HP. However this triggers the upgrade of 12K switch and inturn triggers 3800 switch .

Right now, if the 48K switch is been upgraded to 5.3.1a, i went through the release notes of this. Looks to me that this version 5.3.1a is compatible with version 5.0.3.

Please find the clippings of compatibility matrix attached here with for reference.

So on the whole what i feel upgrading the 48K director to 5.3.1a doesnt make UPGRAGE on 12K switch IMPORTANT AT THIS POINT OF TIME.

Please let me know your thoughts.

Thanks

Vij

External Moderator
Posts: 4,973
Registered: ‎02-23-2004

Re: 48K - 12K - 3800 Switches and Firware Upgrade

Hi Dishvijay,

to evitate a confusion:

the input from HP is correct --->>> Vendors(HP) recommended we should upgrade the 12k ver 5.0.3 -


> 5.0.5f,

but....

First, if they Upgrade the 12K and to FabOS 5.0.5f, the 3800 must have FabOS 3.2.1c

Second, they have into first question ask for:

--->>> 1. What version on 3k switch support and be compatible with the 12k ver 5.0.5f ?

so i must assume you will Upgrade the 12K to FOS 5..0.5f, in this case you must upgrade the 3800 to 3.2.1c

and finally, 5.0.3 can Operate with 5.3.1, and the any FOS minor release 3.2.x can operate with 5.0.3 with restrictions as follow reason.

If the 3800 switch is a member the same fabric, and use the same config, you get a risk of error beetwen the Zoning and config with the 48000 FabOS 5.3.1

TechHelp24

TechHelp24
Occasional Contributor
Posts: 14
Registered: ‎09-13-2008

Re: 48K - 12K - 3800 Switches and Firware Upgrade

Thanks Guys we are ready to roll in 10 days for the firware upgrade...

Join the Community

Get quick and easy access to valuable resource designed to help you manage your Brocade Network.